# Method: projects.scanConfigs.scanRuns.list

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns/list#body.ListScanRunsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns/list#try-it)

Lists ScanRuns under a given ScanConfig, in descending order of ScanRun stop time.

### HTTP request

`GET https://websecurityscanner.googleapis.com/v1/{parent=projects/*/scanConfigs/*}/scanRuns`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name, which should be a scan resource name in the format 'projects/{projectId}/scanConfigs/{scanConfigId}'. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `cloudsecurityscanner.scanruns.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` A token identifying a page of results to be returned. This should be a `nextPageToken` value returned from a previous List request. If unspecified, the first page of results is returned. |
| `pageSize` | `integer` The maximum number of ScanRuns to return, can be limited by server. If not specified or not positive, the implementation will select a reasonable value. |

### Request body

The request body must be empty.

### Response body

Response for the `scanRuns.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "scanRuns": [ { object (`https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns#ScanRun`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `scanRuns[]` | ``object (`https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1/projects.scanConfigs.scanRuns#ScanRun`)`` The list of ScanRuns returned. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).